get_default_parameters <- function(gafort_in_file = "gafort.in", default_parameter_file = "oppla_default.inp",
                                   csv_file = "default_parameters.csv") {
  ga <- oppla::nml_read(file = gafort_in_file)
  values <- oppla::nml_get(nml = oppla::nml_read(file = default_parameter_file),
                           vars = setNames(ga$ga[[1]]$param_name, ga$ga[[1]]$param_name))
  cat(as.vector(unlist(values)), file = csv_file, sep = ",")
}
