function fns = fn (db, txt)
%ODB.FN find names if fields whose description matches txt
% FNS = ODB.FN(DB, TXT)
%  DB       odb database
%  TXT      text to search for in field descriptions
%  FNS      cell array of field names
  fns = fieldnames(db);
  for n=length(fns):-1:1
    if isfield(db.(fns{n}), 'description')
      if isempty(strfind(db.(fns{n}).description, txt))
        fns(n) = '';
      end
    else
      fns(n) = '';
    end
  end
end
