args <- setNames(commandArgs(trailingOnly = TRUE), c("R_LIBS", "CRAN", "NCPUS"))
options(Ncpus = as.numeric(args[["NCPUS"]]))
if (!dir.exists(args[["R_LIBS"]])) dir.create(args[["R_LIBS"]], recursive = TRUE)
if (!require(package = devtools, quietly = TRUE))
  install.packages(pkgs = "devtools", lib = args[["R_LIBS"]], repos = args[["CRAN"]])
devtools::install_deps(pkg = "R/oppla", build = FALSE, repos = args[["CRAN"]], upgrade = TRUE)
devtools::document(pkg = "R/oppla", roclets = c("rd", "collate", "namespace"))
devtools::build(pkg = "R/oppla", path = "R/src/contrib", manual = TRUE)
